Skip to navigation

Update asset location

Beta

Records that the asset moved to a new location without triggering Deel logistics or invoicing. Use this to reflect a self-serve transfer between HRIS profiles (target location = WITH_USER with a different hris_profile_id), a delivery from your organization storage location to a worker (from AT_WAREHOUSE to WITH_USER), or a collection from a worker back to your storage location (from WITH_USER to AT_WAREHOUSE).

Token scopes: it-assets:write

Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2026-12-15.

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

asset_idstringRequiredformat: "uuid"
Unique identifier of the IT asset

Headers

X-BetaenumRequiredDefaults to true

Opts in to the beta version of this endpoint. Must be true.

Allowed values:

Request

Target location details
dataobjectRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error